| CMSIS-Driver Version 2.02 Peripheral Interface for Middleware and Application Code

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
Ethernet MAC Controls
Ethernet MAC Control Codes

Configure and control the Ethernet MAC interface. More...

## Macros

#define | ARM_ETH_MAC_CONFIGURE (0x01)
| Configure MAC; arg = configuration.
#define | ARM_ETH_MAC_CONTROL_TX (0x02)
| Transmitter; arg: 0=disabled, 1=enabled.
#define | ARM_ETH_MAC_CONTROL_RX (0x03)
| Receiver; arg: 0=disabled, 1=enabled.
#define | ARM_ETH_MAC_FLUSH (0x04)
| Flush buffer; arg = ARM_ETH_MAC_FLUSH_...
#define | ARM_ETH_MAC_SLEEP (0x05)
| Sleep mode; arg: 1=enter and wait for Magic packet, 0=exit.
#define | ARM_ETH_MAC_VLAN_FILTER (0x06)
| VLAN Filter for received frames; arg15..0: VLAN Tag; arg16: optional ARM_ETH_MAC_VLAN_FILTER_ID_ONLY.

## Description

Configure and control the Ethernet MAC interface.

## Macro Definition Documentation

#define ARM_ETH_MAC_CONFIGURE (0x01)

Configure MAC; arg = configuration.

See Also
  ARM_ETH_MAC_Control

#define ARM_ETH_MAC_CONTROL_RX (0x03)

Receiver; arg: 0=disabled, 1=enabled.

See Also
  ARM_ETH_MAC_Control

#define ARM_ETH_MAC_CONTROL_TX (0x02)

Transmitter; arg: 0=disabled, 1=enabled.

See Also
  ARM_ETH_MAC_Control

#define ARM_ETH_MAC_FLUSH (0x04)

Flush buffer; arg = ARM_ETH_MAC_FLUSH_...

See Also
  ARM_ETH_MAC_Control

#define ARM_ETH_MAC_SLEEP (0x05)

Sleep mode; arg: 1=enter and wait for Magic packet, 0=exit.

See Also
  ARM_ETH_MAC_Control

#define ARM_ETH_MAC_VLAN_FILTER (0x06)

VLAN Filter for received frames; arg15..0: VLAN Tag; arg16: optional ARM_ETH_MAC_VLAN_FILTER_ID_ONLY.

See Also
  ARM_ETH_MAC_Control